Index Page rpd_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceDouble rpd_c ( void )

#### Abstract

       Return the number of radians per degree.

#### Required_Reading

       None.

#### Keywords

       CONSTANTS

#### Brief_I/O

       The function returns the number of radians per degree.

#### Detailed_Input

       None.

#### Detailed_Output

       The function returns the number of radians per degree: pi/180.
       The value of pi is determined by the ACOS function. That is,

          rpd = acos ( -1. ) / 180.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       When the function is referenced, the value computed as shown
       above is returned.

#### Examples

       The code fragment below illustrates the use of rpd_c.

          /. Convert all angles to radians for output  ./

             clock *= rpd_c()
             cone  *= rpd_c()
             twist *= rpd_c()

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)
       E.D. Wright     (JPL)

#### Version

       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW)

#### Index_Entries

       radians per degree

#### Link to routine rpd_c source file rpd_c.c

    Wed Apr  5 17:54:42 2017